List workspace security audit logs
curl --request GET \
--url https://api.eventlink.co/api/v1/dashboard/audit-logs \
--cookie better-auth.session_token=import requests
url = "https://api.eventlink.co/api/v1/dashboard/audit-logs"
headers = {"cookie": "better-auth.session_token="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'better-auth.session_token='}};
fetch('https://api.eventlink.co/api/v1/dashboard/audit-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"logs": [
{
"id": "<string>",
"action": "member.invited",
"actorUserId": "<string>",
"actorEmail": "<string>",
"targetType": "<string>",
"targetId": "<string>",
"metadata": {},
"ipAddress": "<string>",
"userAgent": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
List workspace security audit logs
Append-only security audit log for the active workspace. Workspace security audit logs are retained for at least 365 days. Rows are not purged automatically.
GET
/
api
/
v1
/
dashboard
/
audit-logs
List workspace security audit logs
Authorizations
Better Auth session cookie.
Query Parameters
Page size (default 50, max 100)
Required range:
1 <= x <= 100Opaque cursor from the previous page
Exact audit action
Available options:
member.invited, member.removed, member.role_changed, invitation.revoked, invitation.accepted, role.created, role.updated, role.deleted, sso.provider_created, sso.provider_updated, sso.provider_deleted, workspace.created, workspace.updated, workspace.deleted, domain.set, domain.changed, domain.verify, domain.deleted, domain.email_enabled, domain.email_verified, domain.email_disabled, domain.email_sender_updated, integration.connected, integration.disconnected, auth.login, auth.login_failed, api.permission_denied Actor user id or email
Inclusive range start (ISO timestamp or YYYY-MM-DD UTC)
Inclusive range end (ISO timestamp or YYYY-MM-DD UTC)